Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644738 - x11-misc/spacefm-9999 - main.c:189:42: error: implicit declaration of function 'major' [-Werror=implicit-function-declaration]
Summary: x11-misc/spacefm-9999 - main.c:189:42: error: implicit declaration of functio...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2018-01-16 09:03 UTC by tman
Modified: 2020-10-08 06:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
x11-misc:spacefm-9999:20180116-084430.log (x11-misc:spacefm-9999:20180116-084430.log,48.09 KB, text/plain)
2018-01-16 09:04 UTC, tman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tman 2018-01-16 09:03:34 UTC
/usr/share/doc/spacefm-9999/html\" -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/startup-notification-1.0 -DG_DISABLE_CAST_CHECKS -Werror-implicit-function-declaration -march=ivybridge -O2 -pipe -c -o mime-type/spacefm-mime-action.o `test -f 'mime-type/mime-action.c' || echo './'`mime-type/mime-action.c
main.c: In function 'receive_socket_command':
main.c:585:5: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
     write( client, &cmd, sizeof(char) );  // send exit status
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:587:9: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
         write( client, reply, strlen( reply ) ); // send reply or error msg
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c: In function 'send_socket_command':
main.c:628:5: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
     write( sock, &cmd, sizeof(char) );
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:632:5: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
     write( sock, inode_tag, strlen( inode_tag ) );
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:633:5: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
     write( sock, "\n", 1 );
     ^~~~~~~~~~~~~~~~~~~~~~
main.c:640:9: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
         write( sock, argv[i], strlen( argv[i] ) );
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:641:9: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
         write( sock, "\n", 1 );
         ^~~~~~~~~~~~~~~~~~~~~~
main.c:643:5: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
     write( sock, "\n", 1 );
     ^~~~~~~~~~~~~~~~~~~~~~
main.c: In function 'single_instance_check':
main.c:393:13: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
             write( sock, &cmd, sizeof(char) );
             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:400:13: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
             write( sock, &cmd, sizeof(char) );
             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:434:9: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
         write( sock, &cmd, sizeof(char) );
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:438:13: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
             write( sock, &cmd, sizeof(char) );
             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:457:21: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
                     write( sock, real_path, strlen( real_path ) );
                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main.c:459:21: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
                     write( sock, "\n", 1 );
                     ^~~~~~~~~~~~~~~~~~~~~~
main.c: In function 'dup_to_absolute_file_path':
main.c:1033:9: warning: ignoring return value of 'getcwd', declared with attribute warn_unused_result [-Wunused-result]
         getcwd( cwd_path, cwd_size );
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
cust-dialog.c: In function 'write_file_value':
cust-dialog.c:1625:13: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
             write( f, "\n", 1 );
             ^~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"spacefm\" -DPACKAGE_TARNAME=\"spacefm\" -DPACKAGE_VERSION=\"1.0.5+next\" -DPACKAGE_STRING=\"spacefm\ 1.0.5+next\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"spacefm\" -DVERSION=\"1.0.5+next\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DSTDC_HEADERS=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DHAVE_LIBM=1 -DHAVE_LIBX11=1 -DG_DISABLE_ASSERT=1 -DG_LOG_DOMAIN=\"SpaceFM\" -DBASHPATH=\"/bin/bash\" -DHAVE_GTK3=1 -DHAVE_SN=1 -DUSE_INOTIFY=1 -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64 -DSUPER_USER_CHECKS=1 -DDESKTOP_INTEGRATION=1 -DHAVE_FFMPEG=1 -DHAVE_EUIDACCESS=/\*\*/ -DHAVE_EACCESS=/\*\*/ -DHAVE_STATVFS=/\*\*/ -DGETTEXT_PACKAGE=\"spacefm\" -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -I.  -I../src/mime-type -I../src/compat -I../src/ptk -I../src/vfs -I../src/libmd5-rfc -I../src/desktop -I../src/exo -DPACKAGE_DATA_DIR=\""/usr/share/spacefm"\" -DPACKAGE_UI_DIR=\""/usr/share/spacefm/ui"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DSYSCONFDIR=\""/etc"\" -Wno-deprecated-declarations -Wformat -Wformat-security -Wreturn-type -Wunused-value -D_LARGEFILE_SOURCE -D_REENTRANT -D_FILE_OFFSET_BITS=64 -fstrict-aliasing -fmessage-length=0 -DDATADIR=\"/usr/share\" -DHTMLDIR=\"/usr/share/doc/spacefm-9999/html\" -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/startup-notification-1.0 -DG_DISABLE_CAST_CHECKS -Werror-implicit-function-declaration -march=ivybridge -O2 -pipe -c -o mime-type/spacefm-mime-cache.o `test -f 'mime-type/mime-cache.c' || echo './'`mime-type/mime-cache.c
settings.c: In function 'load_settings':
settings.c:682:9: warning: ignoring return value of 'chown', declared with attribute warn_unused_result [-Wunused-result]
         chown( settings_shared_tmp_dir, 0, 0 );
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"spacefm\" -DPACKAGE_TARNAME=\"spacefm\" -DPACKAGE_VERSION=\"1.0.5+next\" -DPACKAGE_STRING=\"spacefm\ 1.0.5+next\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"spacefm\" -DVERSION=\"1.0.5+next\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DSTDC_HEADERS=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DHAVE_LIBM=1 -DHAVE_LIBX11=1 -DG_DISABLE_ASSERT=1 -DG_LOG_DOMAIN=\"SpaceFM\" -DBASHPATH=\"/bin/bash\" -DHAVE_GTK3=1 -DHAVE_SN=1 -DUSE_INOTIFY=1 -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64 -DSUPER_USER_CHECKS=1 -DDESKTOP_INTEGRATION=1 -DHAVE_FFMPEG=1 -DHAVE_EUIDACCESS=/\*\*/ -DHAVE_EACCESS=/\*\*/ -DHAVE_STATVFS=/\*\*/ -DGETTEXT_PACKAGE=\"spacefm\" -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -I.  -I../src/mime-type -I../src/compat -I../src/ptk -I../src/vfs -I../src/libmd5-rfc -I../src/desktop -I../src/exo -DPACKAGE_DATA_DIR=\""/usr/share/spacefm"\" -DPACKAGE_UI_DIR=\""/usr/share/spacefm/ui"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DSYSCONFDIR=\""/etc"\" -Wno-deprecated-declarations -Wformat -Wformat-security -Wreturn-type -Wunused-value -D_LARGEFILE_SOURCE -D_REENTRANT -D_FILE_OFFSET_BITS=64 -fstrict-aliasing -fmessage-length=0 -DDATADIR=\"/usr/share\" -DHTMLDIR=\"/usr/share/doc/spacefm-9999/html\" -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/startup-notification-1.0 -DG_DISABLE_CAST_CHECKS -Werror-implicit-function-declaration -march=ivybridge -O2 -pipe -c -o vfs/spacefm-vfs-file-monitor.o `test -f 'vfs/vfs-file-monitor.c' || echo './'`vfs/vfs-file-monitor.c
cc1: some warnings being treated as errors
make[1]: *** [Makefile:1745: spacefm-main.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/var/tmp/portage/x11-misc/spacefm-9999/work/spacefm-9999/src'
make: *** [Makefile:507: all-recursive] Error 1


Reproducible: Always




Portage 2.3.19 (python 3.5.4-final-0, default/linux/amd64/17.0/desktop/plasma/systemd, gcc-7.2.0, glibc-2.26-r5, 4.14.13-gentoo x86_64)
=================================================================
System uname: Linux-4.14.13-gentoo-x86_64-Intel-R-_Core-TM-_i7-3740QM_CPU_@_2.70GHz-with-gentoo-2.4.1
KiB Mem:    24613964 total,  21780380 free
KiB Swap:   26488828 total,  26488828 free
Timestamp of repository gentoo: Mon, 15 Jan 2018 18:30:01 +0000
Head commit of repository gentoo: 0ca620cc4d1167c9a9f4d01f0a4c68ab2cf598a4
Timestamp of repository poly-c: Mon, 15 Jan 2018 08:16:46 +0000
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.4.6-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.10.1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            7.2.0-r1::gentoo
sys-devel/gcc-config:     1.9.1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.14::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r5::gentoo
Repositories:
Comment 1 tman 2018-01-16 09:04:04 UTC
Created attachment 515018 [details]
x11-misc:spacefm-9999:20180116-084430.log
Comment 2 Sergei Trofimovich gentoo-dev 2020-10-08 06:57:27 UTC
Was probably fixed in https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e72a525503c4714cb04624df5d320971ff0c45cd